---
# see https://docs.drone.io/pipeline/configuration/
kind: pipeline
type: docker
name: build

steps:
  - name: build and publish
    image: klakegg/hugo:0.90.0-alpine
    environment:
      AWS_ACCESS_KEY_ID:
        from_secret: aws_access_key_id
      AWS_SECRET_ACCESS_KEY:
        from_secret: aws_secret_access_key
    commands:
      - hugo
      - hugo deploy
    when:
      branch:
      - main
      event:
        exclude:
          - pull_request

---
kind: signature
hmac: 5fc38cf903fe1aaea273b0c99f4eacb442408d2b1fcf8d6a9343112922eeaf97

...
